LDD(1)

NAME
ldd - list dynamic object dependencies

SYNOPSIS
ldd program ...

DESCRIPTION
ldd displays the shared objects needed to run program. ldd uses the DT_NEEDED tags to determine what dynamic objects are required. To list the objects ldd sets the environment variable LD_TRACE_LOADED_OBJECTS and then execs program.

DIAGNOSTICS
Exit status 0 if no error. Exit status 1 if arg error. Exit status 2 if program can't be read. If ldd fails to open the program file a message is printed.

SEE ALSO
ld.so(1), ldconfig(8)